de.dhbwstuttgart.typeinference

## Class Pair

- java.lang.Object
- - de.dhbwstuttgart.typeinference.constraints.Pair

    public class Pair
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `Pair.PairOperator`

### Field Summary

Fields
`boolean` `bSubst`
`private Pair.PairOperator` `eOperator`
`Type` `TA1`
`Type` `TA2`

### Constructor Summary

Constructors
Constructor and Description
`Pair(Type TA1, Type TA2)`
`Pair(Type TA1, Type TA2, Pair.PairOperator eOp)`
`Pair(Type TA1, Type TA2, Pair.PairOperator eOp, boolean bSubst)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Pair` `clone()` Author: Arne LÃ¼dtke Erzeugt einen Klon des Paares.
`Pair` `copyPair()`
`static Type` `copyType(Type T)`
`boolean` `equals(java.lang.Object obj)` Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle
`Pair.PairOperator` `GetOperator()` Author: Arne LÃ¼dtke Gibt den Operator zurÃ¼ck.
`Type` `getTA1Copy()`
`Type` `getTA2Copy()`
`Menge<TypePlaceholder>` `getTypePlaceholder()` Gibt eine Liste aller TypePlaceholder die in diesem Pair enthalten sind zurÃ¼ck.
`Menge<Type>` `getTypes()`
`boolean` `instanzeEquals(java.lang.Object obj)` Author: Arne LÃ¼dtke ÃberprÃ¼ft ob die Paare die gleichen Instanzen sind.
`boolean` `isEqual()`
`boolean` `isInMenge(Menge<Pair> V)`
`boolean` `OperatorEqual()` Author: Arne LÃ¼dtke Abfrage, ob Operator vom Typ Equal ist.
`boolean` `OperatorSmaller()` Author: Arne LÃ¼dtke Abfrage, ob Operator vom Typ Smaller ist.
`boolean` `OperatorSmallerExtends()` Author: Arne LÃ¼dtke Abfrage, ob Operator vom Typ SmallerExtends ist.
`boolean` `Pair_isEquiv(Pair p)`
`void` `SetOperator(Pair.PairOperator operator)` Author: Arne LÃ¼dtke Setzt den Operator
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TA1

    public Type TA1

#### TA2

    public Type TA2

#### eOperator

    private Pair.PairOperator eOperator

#### bSubst

    public boolean bSubst

### Constructor Detail

#### Pair

    public Pair(Type TA1,
                Type TA2)

#### Pair

    public Pair(Type TA1,
                Type TA2,
                Pair.PairOperator eOp)

#### Pair

    public Pair(Type TA1,
                Type TA2,
                Pair.PairOperator eOp,
                boolean bSubst)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### isEqual

    public boolean isEqual()

#### copyType

    public static Type copyType(Type T)

#### getTA1Copy

    public Type getTA1Copy()

#### getTA2Copy

    public Type getTA2Copy()

#### copyPair

    public Pair copyPair()

#### Pair_isEquiv

    public boolean Pair_isEquiv(Pair p)

#### isInMenge

    public boolean isInMenge(Menge<Pair> V)

#### equals

    public boolean equals(java.lang.Object obj)

Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` -
Returns:

#### instanzeEquals

    public boolean instanzeEquals(java.lang.Object obj)

Author: Arne LÃ¼dtke
ÃberprÃ¼ft ob die Paare die gleichen Instanzen sind.

#### OperatorEqual

    public boolean OperatorEqual()

Author: Arne LÃ¼dtke
Abfrage, ob Operator vom Typ Equal ist.

#### OperatorSmaller

    public boolean OperatorSmaller()

Author: Arne LÃ¼dtke
Abfrage, ob Operator vom Typ Smaller ist.

#### OperatorSmallerExtends

    public boolean OperatorSmallerExtends()

Author: Arne LÃ¼dtke
Abfrage, ob Operator vom Typ SmallerExtends ist.

#### GetOperator

    public Pair.PairOperator GetOperator()

Author: Arne LÃ¼dtke
Gibt den Operator zurÃ¼ck.

#### SetOperator

    public void SetOperator(Pair.PairOperator operator)

Author: Arne LÃ¼dtke
Setzt den Operator

Parameters:
  `operator` - - Operator to set.

#### clone

    public Pair clone()

Author: Arne LÃ¼dtke
Erzeugt einen Klon des Paares.

Overrides:
  `clone` in class `java.lang.Object`

#### getTypePlaceholder

    public Menge<TypePlaceholder> getTypePlaceholder()

Gibt eine Liste aller TypePlaceholder die in diesem Pair enthalten sind zurÃ¼ck. (Immer zwischen 0 und 2 StÃ¼ck ;P)

Returns:

#### getTypes

    public Menge<Type> getTypes()

Returns:
  Menge aus TA1 und TA2